Установка Octave на CentOS – несовместимая ошибка библиотеки BLAS

Я пытаюсь установить Octave на CentOS. После запуска

sudo yum install octave ./configure F77=gfortran 

Я получил эту ошибку:

 configure: error: A BLAS library was detected but found incompatible with your Fortran 77 compiler settings. 

После некоторого googling последовало с этим:

 sudo yum-builddep octave sudo yum install lapack64-devel lapack64 sudo yum install libblas-dev libatlas-dev liblapack-dev 

И все же я все еще получаю ту же ошибку несовместимости BLAS.

Не могли бы вы посоветовать, как действовать?

One Solution collect form web for “Установка Octave на CentOS – несовместимая ошибка библиотеки BLAS”

Я столкнулся с той же проблемой в течение значительного времени, пока не установил следующие пакеты:

 sudo yum install lapack-devel sudo yum install atlas-devel 

Как только они были установлены, ./configure бежал без ошибок. Мне тоже не пришлось использовать F77 =, но это может различаться в вашей ситуации.

Оттуда вы сможете запустить make && make install без ошибок.

Надеюсь это поможет.

  • Что такое хорошее распространение, которое похоже на Amazon Linux
  • Yum говорит, что пакет установлен и не установлен, и он блокирует установку других пакетов
  • Установка пакетов в $ HOME / usr
  • Как определить, заблокированы ли администраторы пакетов прокси-сервером
  • RepoForge, используемый во многих документах StackOverflow, недоступен. Какая альтернатива?
  • Является ли dockerfile yum использующим репозитории yum хоста?
  • Могу ли я установить прокси для конкретных репозиториев yum?
  • Как установить без подключения к Интернету?
  • Как устранить проблему репозитория yum с ошибкой «Нет пакета ... доступной»?
  • Не удалось установить erlang
  • Ошибка «503 Service Unavailable» в команде «yum update all»
  • Linux и Unix - лучшая ОС в мире.